Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.network
Class RayTracingJobFactory

    java.lang.Object
      net.sf.j3d.threeD.raytracer.network.RayTracingJobFactory

    public class RayTracingJobFactory

extends Object

Author:
  Mike Murray

Constructor Summary
`RayTracingJobFactory()` Constructs a new RayTracingJobFactory object.
`RayTracingJobFactory(String uri, int width, int height, int ssWidth, int ssHeight, int jobSize, long taskId)` Constructs a new RayTracingJobFactory object using the specified parameters.

Method Summary
`Job` | `createJob(String data)`
`String` | `encode()`
`double` | `getCompleteness()`
`String` | `getName()`
`double` | `getPriority()`
`long` | `getTaskId()`
`boolean` | `isComplete()`
`Job` | `nextJob()`
`void` | `set(String key, String value)`
`void` | `setCameraDirection(double x, double y, double z)`
`void` | `setCameraLocation(double x, double y, double z)`
`void` | `setFocalLength(double fl)`
`void` | `setPriority(double p)`
`void` | `setProjectionHeight(double ph)`
`void` | `setProjectionWidth(double pw)`
`void` | `setSceneLoader(String loader)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RayTracingJobFactory

    public RayTracingJobFactory()

  Constructs a new RayTracingJobFactory object.

### RayTracingJobFactory

    public RayTracingJobFactory(String uri,
                                int width,
                                int height,
                                int ssWidth,
                                int ssHeight,
                                int jobSize,
                                long taskId)

  Constructs a new RayTracingJobFactory object using the specified parameters.

  Parameters:
    `width` - Image width.
    `height` - Image height.
    `ssWidth` - Super sample width.
    `ssHeight` - Super sample height.
    `jobSize` - Job size.

Method Detail

### getTaskId

    public long getTaskId()

### setSceneLoader

    public void setSceneLoader(String loader)

### setProjectionWidth

    public void setProjectionWidth(double pw)

### setProjectionHeight

    public void setProjectionHeight(double ph)

### setFocalLength

    public void setFocalLength(double fl)

### setCameraLocation

    public void setCameraLocation(double x,
                                  double y,
                                  double z)

### setCameraDirection

    public void setCameraDirection(double x,
                                   double y,
                                   double z)

### nextJob

    public Job nextJob()

  See Also:
    `net.sf.j3d.network.JobFactory#nextJob()`

### createJob

    public Job createJob(String data)

  See Also:
    `net.sf.j3d.network.JobFactory#createJob(java.lang.String)`

### encode

    public String encode()

  Returns:
    A String encoding of this RayTracingJobFactory object.

### set

    public void set(String key,
                    String value)

  See Also:
    `net.sf.j3d.network.JobFactory#set(java.lang.String, java.lang.String)`

### getName

    public String getName()

### getCompleteness

    public double getCompleteness()

### isComplete

    public boolean isComplete()

### setPriority

    public void setPriority(double p)

### getPriority

    public double getPriority()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD